#----------------------------------------------------------------------------
# Name:         EnterpriseDataSource.py
# Author:       Bjoern
# Created:      09/24/2001
# Copyright:    (c) 2001 SKYRiX Software AG
#----------------------------------------------------------------------------

from XmlRpcDataSource import XmlRpcDataSource
from Enterprise import Enterprise

class EnterpriseDataSource(XmlRpcDataSource):
    
  def __init__(self, server):
    "init the EnterpriseDataSource"
    return XmlRpcDataSource.__init__(self,
                                     fetchObjects="enterprise.fetch",
                                     insertObject="enterprise.insert",
                                     updateObject="enterprise.update",
                                     deleteObject="enterprise.delete",
                                     server=server);

  # fetchObjects
  def fetchObjects(self):
    "fetch Enterprise objects"
    array = XmlRpcDataSource.fetchObjects(self)
    returnDict = {}
    for element in array:
      returnDict[element['number']] = Enterprise(self,element)
    return returnDict
