#----------------------------------------------------------------------------
# Name:         PersonDataSource.py
# Author:       Bjoern
# Created:      09/24/2001
# Copyright:    (c) 2001 SKYRiX Software AG
#----------------------------------------------------------------------------

from XmlRpcDataSource import XmlRpcDataSource
from Person import Person

class PersonDataSource(XmlRpcDataSource):
    
    def __init__(self, server):
        return XmlRpcDataSource.__init__(self,
                                         fetchObjects="person.fetch",
                                         insertObject="person.insert",
                                         updateObject="person.update",
                                         deleteObject="person.delete",
                                         server=server);

    # fetchObjects
    def fetchObjects(self):
      "create Person objects" 
      array = XmlRpcDataSource.fetchObjects(self)
      returnDict = {}
      for element in array:
        returnDict[element['number']] = Person(self,element)
      return returnDict

