#!/usr/bin/env python
#----------------------------------------------------------------------------
# Name:         wxSkyPersonBrowser.py
# Author:       Bjoern
# Created:      09/07/2001
# Copyright:    (c) 2001 SKYRiX Software AG
#----------------------------------------------------------------------------

import time

from wxPython.wx import *

class wxCustomStatusBar(wxStatusBar):

  # __init__
  def __init__(self, parent):
    wxStatusBar.__init__(self, parent, -1)
    self.SetFieldsCount(3)

    self.SetStatusWidths([-1,200,180])

    # start timer
    self.parent = parent
    self.timer = wxPyTimer(self.onNotify)
    self.timer.Start(1000)
    self.onNotify()

  # onNotify
  # -> timer handler
  def onNotify(self):
     t = time.localtime(time.time())
     st = time.strftime("%d-%b-%Y %H:%M:%S", t)
     self.SetStatusText(st, 2)

