#!/usr/bin/env python
#----------------------------------------------------------------------------
# Name:         Enterprise.py
# Author:       Bjoern
# Created:      09/24/2001
# Copyright:    (c) 2001 SKYRiX Software AG
#----------------------------------------------------------------------------

from Document import Document

# Enterprise
class Enterprise(Document):

  # __init__
  def __init__(self, _ds = None, _object = None):
    Document.__init__(self, _ds, _object)

  def getBank(self):
    return self.getAttribute('bank')

  def setBank(self, _value):
    self.setAttribute('bank', _value)

  def getBankCode(self):
    return self.getAttribute('bankCode')
  
  def setBankCode(self, _value):
    self.setAttribute('bankCode', _value)

  def getAccount(self):
    return self.getAttribute('account')

  def setAccount(self, _value):
    self.setAttribute('account', _value)

  # __repr__
  def __repr__(self):
    output = '\nEnterprise : \n============\n'
    output = output + Document.__repr__(self)
    return output

