#!/usr/bin/env python
#----------------------------------------------------------------------------
# Name:         Person.py
# Author:       Bjoern
# Created:      09/24/2001
# Copyright:    (c) 2001 SKYRiX Software AG
#----------------------------------------------------------------------------

from Document import Document
from skyrix.thirdparty.xmlrpclib import *
import time

# Person
class Person(Document):
  
  # setBirthday
  def setBirthday(self,value):
    if value != '':
      self.object['birthday'] = DateTime(time.strptime(value,"%Y-%m-%d"))

  # getBirthday
  def getBirthday(self):
    if self.object.has_key('birthday'):
      value = self.object['birthday'].value
      return time.strftime("%Y-%m-%d",time.strptime(value,"%Y%m%dT%H:%M:%S"))
    return ''

  # __init__
  def __init__(self, _ds, _object = None):
    Document.__init__(self, _ds, _object)
    
  # __repr__  
  def __repr__(self):
    output = '\nPerson : \n========\n'
    output = output + Document.__repr__(self)
    return output

