#/usr/bin/env python
#----------------------------------------------------------------------------
# Name:         wxSkyConfig.py
# Author:       Bjoern
# Created:      09/11/2001
# Copyright:    (c) 2001 SKYRiX Software AG
#----------------------------------------------------------------------------

from wxPython.wx import *

# =============================================================================
# wxSkyConfig
# -> config options
# =============================================================================
class wxSkyConfig(wxObject):

  def __init__(self):
    
    self.config = { 'list.keys'           : [ ("name"      , 100),
                                              ("firstname" , 100),
                                              ("nickname"  , 100),
                                              ("email1"    , 100),
                                              ("01_tel"    , 100),
                                              ("url"       , 210)
                                            ],
                    'enterprise.keys'     : [ ("name"      , 140),
                                              ("bank"      , 120),
                                              ("bankCode"  , 110),
                                              ("url"       , 210)
                                            ],
                    'project.keys'        : [ ("NSFileName", 160),
                                              ("NSFileSize", 100),
                                              ("NSFileMimeType",300)
                                            ],
                    
                    'server.autoconnect'  : true,
                    'server.user'         : 'bjoern',
                    'server.password'     : 'bjoern',
                    'server.host'         : 'marvin.in.skyrix.com',
                    'server.port'         : '10816',
                    'server.path'         : '/test1.woa/xmlrpc',
                    'project.user'        : 'bjoern',
                    
                    'browser.searchdefs'  : ('zaphod','beeblebrox','%'),
                    'enterprise.defs'     : ('unternehmen','hallo','%')
                  }

  # getValue
  # -> get a value from the config dictionary
  def getValue(self,key):
    if self.config.has_key(key):
      return self.config[key]
    else: return None
